%define gitrel b33b0fc
Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libbluray
#Epoch:		0
Version:	0.0.1
Release:	2
License:	GNU/LGPL
URL:		http://www.videolan.org/developers/libbluray.html
Group:		System/Libraries
Summary:	open source Blu-Ray Discs playback library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
# git clone git://git.videolan.org/libbluray.git
Source:		%{name}-%{version}.tar.bz2

# Patches:
Patch0:		libbluray-disable-broken-doxygen.patch

# Requires:

# BuildRequires:
BuildRequires: dotconf-devel
BuildRequires: doxygen

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
libbluray is an open-source library designed for Blu-Ray Discs playback for media players, like VLC  or MPlayer.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}
# building docs via doxygen is broken atm
# disable it therefore
%patch0 -p1
autoreconf --force --install

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libbluray.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libbluray/bluray.h
%{_includedir}/libbluray/filesystem.h
%{_includedir}/libbluray/keys.h
%{_includedir}/libbluray/log_control.h
%{_includedir}/libbluray/meta_data.h
%{_includedir}/libbluray/overlay.h
%{_libdir}/libbluray.a
%{_libdir}/libbluray.la
%{_libdir}/libbluray.so
%{_pkgconfig}/libbluray.pc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sun Mar 20 2011 Karsten Brockmann <arcam@ccux-linux.de> 0.0.1-2
- git snapshot b33b0fc
* Thu Jul 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.0.1-1
- version update, git snapshot 07cd746
* Thu Jul 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.1-1
- initial CCux package release
